Name: ca_SWITCHslcs
Version: 1.15
Release: 1
Source: ca_SWITCHslcs-1.15.tar.gz
License: IGTF Federation
Prefix: /etc/grid-security/certificates
Group: Security/Certificates
#BuildRequires: openssl
AutoReqProv: no
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%define GSI_CA_NAME  %(tar xOfz %{SOURCE0} ca_SWITCHslcs-1.15/304cf809.0 | openssl x509 -noout -subject |sed 's#^.*/CN=##')

Summary: Trust anchors for slcs accredited authority SWITCHslcs

%if %([ -n "http://www.switch.ch/pki/grid" ] && echo 1 || echo 0)
URL: http://www.switch.ch/pki/grid
%endif

%if %([ -n "ca_SWITCHgrid-Root = 1.15" ] && echo 1 || echo 0)
Requires: ca_SWITCHgrid-Root = 1.15
%endif

%prep
%setup -n ca_SWITCHslcs-1.15

%description
This is the trust anchor for the slcs accredited authority SWITCHslcs.
You should install this package if you want to trust the identity 
assertions issued by the %{GSI_CA_NAME}.
Several instances of this package, corresponding to different CA's, can 
be installed simultaneously on the same system. 

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/etc/grid-security/certificates

cp -pr 304cf809.* $RPM_BUILD_ROOT/etc/grid-security/certificates/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/etc/grid-security/certificates/

